-module(random_mt_test).

-export([
    test/0
]).



test() ->
    %unsigned long init[4]={0x123, 0x234, 0x345, 0x456}, length=4;
    InitKey = [16#123, 16#234, 16#345, 16#456],
    %init_by_array(init, length);
    Rand1 = random_mt:init(InitKey),

    io:fwrite("1000 outputs of genrand_int32()~n", []),
    PrintRandInt32 = fun(I, Rand) ->
        {Num, NextRand} = random_mt:genrand_int32(Rand),
        %printf("%10lu ", genrand_int32());
        io:fwrite("~10B ", [Num]),
        %if (i%5==4) printf("\n");
        case I rem 5 of
            4 ->
                io:fwrite("~n");
            _ ->
                ok
        end,
        NextRand
    end,
    %for (i=0; i<1000; i++)
    Rand2 = lists:foldl(PrintRandInt32, Rand1, lists:seq(0, 999)),

    io:fwrite("~n1000 outputs of genrand_real2()~n", []),
    PrintRandReal2 = fun(I, Rand) ->
        {Num, NextRand} = random_mt:genrand_real2(Rand),
        %printf("%10.8f ", genrand_real2());
        io:fwrite("~10.8f ", [Num]),
        %if (i%5==4) printf("\n");
        case I rem 5 of
            4 ->
                io:fwrite("~n");
            _ ->
                ok
        end,
        NextRand
    end,
    %for (i=0; i<1000; i++)
    _Rand3 = lists:foldl(PrintRandReal2, Rand2, lists:seq(0, 999)).



